facetpairing.h File Reference

Internal header for dual graphs of triangulations of arbitrary dimension. More...

`#include "triangulation/detail/facetpairing.h"`
`#include "triangulation/facetpairing.h"`

## Classes

class | regina::FacetPairing< dim >
| Represents the dual graph of a dim-manifold triangulation; that is, the pairwise matching of facets of dim-dimensional simplices. More...

## Namespaces

| regina
| Contains the entire Regina calculation engine.

## Detailed Description

Internal header for dual graphs of triangulations of arbitrary dimension.

This file is automatically included from triangulation/facetpairing.h; there is no need for end users to include this header explicitly.

Copyright © 1999-2016, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@maths.uq.edu.au).